### GET /api/v2/doc Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/doc ```markdown ### Responses #### default - response ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/doc" ``` ``` -------------------------------- ### GET /api/v2/referential/platforms Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/referential/platforms ```markdown ### Responses #### 200 - A platform collection response **PlatformCollectionResponse** - **items** (array (Platform)) Array items: - **name** (string): Platform name - **code** (string): Platform code - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/referential/platforms" ``` ``` -------------------------------- ### GET /api/v2/chart/album/platforms Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/chart/album/platforms ```markdown ### Responses #### 200 - A chart album platforms collection response **PlatformCollectionResponse** - **items** (array (Platform)) Array items: - **name** (string): Platform name - **code** (string): Platform code - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/chart/album/platforms" ``` ``` -------------------------------- ### GET /api/v2/referential/platforms/streaming Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/referential/platforms/streaming ```markdown ### Responses #### 200 - A streaming platforms collection response **PlatformCollectionResponse** - **items** (array (Platform)) Array items: - **name** (string): Platform name - **code** (string): Platform code - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/referential/platforms/streaming" ``` ``` -------------------------------- ### GET /api/v2/work/{uuid} Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/work/{uuid} ```markdown ### Parameters - **uuid** (string, path, required): A Work UUID ### Responses #### 200 - A Work response **WorkResponse** - **type** (string) - **object** (object) - **uuid** (string) - **name** (string) - **iswc** (string) - **writers** (array (Writer)) Array items: - **uuid** (string) - **name** (string) - **role** (string) - **publishers** (array (Publisher2)) Array items: - **uuid** (string) - **name** (string) - **share** (number (number)) - **adminPublisher** (object) - **uuid** (string) - **name** (string) - **share** (number (number)) - **relatedWriters** (array (Writer)) Array items: - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - Work not found Work not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/work/{uuid}" ``` ``` -------------------------------- ### Schema: AlbumLightDefault Source: https://developers.soundcharts.com/openapi.json Schema definition for AlbumLightDefault ```markdown ## Schema: AlbumLightDefault Schema definition for AlbumLightDefault **Type:** object - **name** (string) - **creditName** (string) - **releaseDate** (string (date-time)) - **uuid** (string) - **default** (boolean) - **type** (string) ``` -------------------------------- ### GET /api/v2/swagger.json Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/swagger.json ```markdown ### Responses #### default - response ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/swagger.json" ``` ``` -------------------------------- ### Schema: AlbumLight Source: https://developers.soundcharts.com/openapi.json Schema definition for AlbumLight ```markdown ## Schema: AlbumLight Schema definition for AlbumLight **Type:** object - **name** (string) - **creditName** (string) - **releaseDate** (string (date-time)) - **uuid** (string) ``` -------------------------------- ### GET /api/v2/team/usage Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/team/usage ```markdown ### Responses #### 200 - A usage response **UsageResponse** - **type** (string) - **object** (object) - **quota** (object) - **limit** (integer) - **used** (integer) - **remaining** (integer) - **period** (string) - **endPeriodDate** (string (date-time)) - **rateLimit** (object) - **limitPerMinute** (integer) - **used** (integer) - **remaining** (integer) - **resetInSeconds** (integer) - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 409 - This favorite already exist This favorite already exist #### 429 - Maximum quota reached Maximum quota reached ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/team/usage" ``` ``` -------------------------------- ### Security: x-api-key Source: https://developers.soundcharts.com/openapi.json Value: {API-KEY} ```markdown ## Security: x-api-key **Description:** Value: {API-KEY} **Type:** apiKey ``` -------------------------------- ### GET /api/v2/search/external/url Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/search/external/url ```markdown ### Parameters - **platformUrl** (string, query, required): Url platform encoded ### Responses #### 200 - Get Soundcharts URL using a platform URL **ResolveExternalUrlResponse** - **type** (string) - **url** (string) - **uuid** (string) - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - No Soundcharts url found for this platform url No Soundcharts url found for this platform url ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/search/external/url?platformUrl=https://open.spotify.com/artist/6qqNVTkY8uBg9cP3Jd7DAH" ``` ``` -------------------------------- ### GET /api/v2/referential/lyrics-attributes Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/referential/lyrics-attributes ```markdown ### Parameters - **attribute** (string, query, required): themes, moods, culturalReferencePeople, culturalReferenceNonPeople, brands, locations - **term** (string, query, optional): Term to search item which contains term - **offset** (integer, query, optional): Get results starting from position - **limit** (integer, query, optional): Number of results (max. 100) ### Responses #### 200 - A lyrics attributes collection **LyricsAttributesCollectionResponse** - **related** (object) - **attribute** (string) - **items** (array (LyricsAttribute)) Array items: - **value** (string) - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/referential/lyrics-attributes?attribute=themes&term=&offset=0&limit=100" ``` ``` -------------------------------- ### Schema: AlbumLight2 Source: https://developers.soundcharts.com/openapi.json Schema definition for AlbumLight2 ```markdown ## Schema: AlbumLight2 Schema definition for AlbumLight2 **Type:** object - **name** (string) - **creditName** (string) - **slug** (string) ``` -------------------------------- ### GET /api/v2/publisher/by-ipi/{ipi} Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/publisher/by-ipi/{ipi} ```markdown ### Parameters - **ipi** (string, path, required): A Publisher platform Identifier. ### Responses #### 200 - A publisher response **PublisherResponse** - **type** (string) - **object** (object) - **uuid** (string) - **name** (string) - **ipi** (string) - **phone** (string) - **email** (string) - **website** (string) - **address** (string) - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 400 - Invalid platform code Invalid platform code #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - Publisher not found Publisher not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/publisher/by-ipi/{ipi}" ``` ``` -------------------------------- ### GET /api/v2/referential/distributors Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/referential/distributors ```markdown ### Parameters - **offset** (integer, query, optional): Get results starting from position - **limit** (integer, query, optional): Number of results (max. 100) ### Responses #### 200 - A DistributorLight collection **DistributorCollectionResponse** - **items** (array (Distributor)) Array items: - **value** (string) - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/referential/distributors?offset=0&limit=100" ``` ``` -------------------------------- ### GET /api/v2/publisher/by-platform/{platform}/{identifier} Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/publisher/by-platform/{platform}/{identifier} ```markdown ### Parameters - **platform** (string, path, required): A platform code - **identifier** (string, path, required): A Publisher platform Identifier. ### Responses #### 200 - A publisher response **PublisherResponse** - **type** (string) - **object** (object) - **uuid** (string) - **name** (string) - **ipi** (string) - **phone** (string) - **email** (string) - **website** (string) - **address** (string) - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 400 - Invalid platform code Invalid platform code #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - Publisher not found Publisher not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/publisher/by-platform/{platform}/{identifier}" ``` ``` -------------------------------- ### GET /api/v2/referential/label-types Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/referential/label-types ```markdown ### Responses #### 200 - A label type collection **LabelTypesResponse** - **type** (string) - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message - **labelTypes** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/referential/label-types" ``` ``` -------------------------------- ### GET /api/v2.36/album/by-platform/{platform}/{identifier} Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2.36/album/by-platform/{platform}/{identifier} ```markdown ### Parameters - **platform** (string, path, required): A platform code - **identifier** (string, path, required): A album platform Identifier. ### Responses #### 200 - An Album response **AlbumResponse2** - **type** (string) - **object** (object) - **name** (string) - **creditName** (string) - **artists** (array (ArtistLight)) Array items: - **uuid** (string) - **slug** (string) - **name** (string) - **appUrl** (string) - **imageUrl** (string) - **upc** (string) - **releaseDate** (string (date-time)) - **totalTracks** (integer) - **copyright** (string) - **distributor** (string) - **imageUrl** (string) - **uuid** (string) - **labels** (array (Label2)) Array items: - **name** (string) - **type** (string) - **type** (string) - **generatedWithIa** (boolean) - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 400 - Invalid platform code Invalid platform code #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - Album not found Album not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2.36/album/by-platform/{platform}/{identifier}" ``` ``` -------------------------------- ### GET /api/v2/referential/song/genres Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/referential/song/genres ```markdown ### Parameters - **genre** (string, query, optional): Song genre - **sortOrder** (string, query, optional): Sort order. Available values are : asc, desc ### Responses #### 200 - A Genre and sub Genre collection response **GenreCollectionResponse** - **items** (array (Genre)) Array items: - **root** (string) - **sub** (array (string)) - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/referential/song/genres?genre=all&sortOrder=asc" ``` ``` -------------------------------- ### GET /api/v2/artist/genres Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/artist/genres ```markdown ### Parameters - **genre** (string, query, optional): Artist genre - **sortOrder** (string, query, optional): Sort order. Available values are : asc, desc ### Responses #### 200 - A Genre and sub Genre collection response **GenreCollectionResponse** - **items** (array (Genre)) Array items: - **root** (string) - **sub** (array (string)) - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/artist/genres?genre=all&sortOrder=asc" ``` ``` -------------------------------- ### GET /api/v2.15/album/by-platform/{platform}/{identifier} Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2.15/album/by-platform/{platform}/{identifier} ```markdown ### Parameters - **platform** (string, path, required): A platform code - **identifier** (string, path, required): A album platform Identifier. ### Responses #### 200 - An Album response **AlbumResponse4** - **type** (string) - **object** (object) - **name** (string) - **creditName** (string) - **slug** (string) - **artists** (array (ArtistLight)) Array items: - **uuid** (string) - **slug** (string) - **name** (string) - **appUrl** (string) - **imageUrl** (string) - **upc** (string) - **releaseDate** (string (date-time)) - **label** (string) - **totalTracks** (integer) - **copyright** (string) - **distributor** (string) - **imageUrl** (string) - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 400 - Invalid platform code Invalid platform code #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - Album not found Album not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2.15/album/by-platform/{platform}/{identifier}" ``` ``` -------------------------------- ### Schema: PublisherLight Source: https://developers.soundcharts.com/openapi.json Schema definition for PublisherLight ```markdown ## Schema: PublisherLight Schema definition for PublisherLight **Type:** object - **uuid** (string) - **name** (string) ``` -------------------------------- ### GET /api/v2/radio/countries Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/radio/countries ```markdown ### Parameters - **offset** (integer, query, optional): Get results starting from position - **limit** (integer, query, optional): Number of results (max. 100) ### Responses #### 200 - A country collection response **CountryCollectionResponse** - **items** (array (Country)) Array items: - **name** (string) - **countryCode** (string) - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/radio/countries?offset=0&limit=100" ``` ``` -------------------------------- ### GET /api/v2/playlist/platforms Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/playlist/platforms ```markdown ### Responses #### 200 - A playlist platforms collection response **PlatformCollectionResponse** - **items** (array (Platform)) Array items: - **name** (string): Platform name - **code** (string): Platform code - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/playlist/platforms" ``` ``` -------------------------------- ### Schema: AlbumLightReleaseDate Source: https://developers.soundcharts.com/openapi.json Schema definition for AlbumLightReleaseDate ```markdown ## Schema: AlbumLightReleaseDate Schema definition for AlbumLightReleaseDate **Type:** object - **name** (string) - **creditName** (string) - **slug** (string) - **releaseDate** (string (date-time)) ``` -------------------------------- ### GET /api/v2/work/by-platform/{platform}/{identifier} Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/work/by-platform/{platform}/{identifier} ```markdown ### Parameters - **platform** (string, path, required): A platform code - **identifier** (string, path, required): A Work platform Identifier. ### Responses #### 200 - A work response **WorkResponse** - **type** (string) - **object** (object) - **uuid** (string) - **name** (string) - **iswc** (string) - **writers** (array (Writer)) Array items: - **uuid** (string) - **name** (string) - **role** (string) - **publishers** (array (Publisher2)) Array items: - **uuid** (string) - **name** (string) - **share** (number (number)) - **adminPublisher** (object) - **uuid** (string) - **name** (string) - **share** (number (number)) - **relatedWriters** (array (Writer)) Array items: - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 400 - Invalid platform code Invalid platform code #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - Work not found Work not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/work/by-platform/{platform}/{identifier}" ``` ``` -------------------------------- ### Security: x-app-id Source: https://developers.soundcharts.com/openapi.json Value {APP-ID} ```markdown ## Security: x-app-id **Description:** Value {APP-ID} **Type:** apiKey ``` -------------------------------- ### GET /api/v2/chart/song/platforms Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/chart/song/platforms ```markdown ### Responses #### 200 - A chart song platforms collection response **PlatformCollectionResponse** - **items** (array (Platform)) Array items: - **name** (string): Platform name - **code** (string): Platform code - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/chart/song/platforms" ``` ``` -------------------------------- ### Schema: VenueLight Source: https://developers.soundcharts.com/openapi.json Schema definition for VenueLight ```markdown ## Schema: VenueLight Schema definition for VenueLight **Type:** object - **uuid** (string) - **name** (string) - **cityName** (string) - **countryCode** (string) - **countryName** (string) - **region** (string) - **imageUrl** (string) - **type** (string) ``` -------------------------------- ### GET /api/v2/referential/platforms/social Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/referential/platforms/social ```markdown ### Responses #### 200 - A social platforms collection response **PlatformCollectionResponse** - **items** (array (Platform)) Array items: - **name** (string): Platform name - **code** (string): Platform code - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/referential/platforms/social" ``` ``` -------------------------------- ### GET /api/v2/chart/album/by-platform/{platform} Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/chart/album/by-platform/{platform} ```markdown ### Parameters - **platform** (string, path, required): An album chart platform code - **countryCode** (string, query, optional): Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2) - **offset** (integer, query, optional): Get results starting from position - **limit** (integer, query, optional): Number of results (max. 100) ### Responses #### 200 - An Album Chart Collection response **ChartCollectionResponse** - **items** (array (ChartLight)) Array items: - **name** (string) - **type** (string) - **slug** (string) - **platform** (string) - **frequency** (string) - **countryCode** (string) - **countryName** (string) - **cityName** (string) - **maxResultsCount** (integer) - **webUrl** (string) - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 400 - Invalid request Invalid request #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - Platform not found Platform not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/chart/album/by-platform/{platform}?countryCode=string&offset=0&limit=100" ``` ``` -------------------------------- ### GET /api/v2.26/album/by-platform/{platform}/{identifier} Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2.26/album/by-platform/{platform}/{identifier} ```markdown ### Parameters - **platform** (string, path, required): A platform code - **identifier** (string, path, required): A album platform Identifier. ### Responses #### 200 - An Album response **AlbumResponse** - **type** (string) - **object** (object) - **name** (string) - **creditName** (string) - **artists** (array (ArtistLight)) Array items: - **uuid** (string) - **slug** (string) - **name** (string) - **appUrl** (string) - **imageUrl** (string) - **upc** (string) - **releaseDate** (string (date-time)) - **label** (string) - **totalTracks** (integer) - **copyright** (string) - **distributor** (string) - **imageUrl** (string) - **uuid** (string) - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 400 - Invalid platform code Invalid platform code #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - Album not found Album not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2.26/album/by-platform/{platform}/{identifier}" ``` ``` -------------------------------- ### GET /api/v2.22/radio Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2.22/radio ```markdown ### Parameters - **offset** (integer, query, optional): Get results starting from position - **limit** (integer, query, optional): Number of results (max. 100) ### Responses #### 200 - A radio collection response **RadioCollectionResponse3** - **items** (array (RadioLight2)) Array items: - **name** (string): Radio name - **slug** (string): Radio slug. Used as radio identifier - **countryCode** (string): Radio country code, 2 letters ISO 3166-2 - **countryName** (string): Radio country name (example: "FR") - **cityName** (string): Radio city name - **timeZone** (string): Radio timezone (example: "Europe/Paris") - **reach** (integer): Sum of followers on social platforms - **firstAiredAt** (string (date-time)): First aired at - **imageUrl** (string): Logo Url - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2.22/radio?offset=0&limit=100" ``` ``` -------------------------------- ### GET /api/v2.18/radio Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2.18/radio ```markdown ### Parameters - **offset** (integer, query, optional): Get results starting from position - **limit** (integer, query, optional): Number of results (max. 100) ### Responses #### 200 - A radio collection response **RadioCollectionResponse2** - **items** (array (Radio)) Array items: - **name** (string): Radio name - **slug** (string): Radio slug. Used as radio identifier - **countryCode** (string): Radio country code, 2 letters ISO 3166-2 - **countryName** (string): Radio country name (example: "FR") - **cityName** (string): Radio city name - **timeZone** (string): Radio timezone (example: "Europe/Paris") - **reach** (integer): Sum of followers on social platforms - **imageUrl** (string) - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2.18/radio?offset=0&limit=100" ``` ``` -------------------------------- ### GET /api/v2/album/by-platform/{platform}/{identifier} Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/album/by-platform/{platform}/{identifier} ```markdown ### Parameters - **platform** (string, path, required): A platform code - **identifier** (string, path, required): A album platform Identifier. ### Responses #### 200 - An Album response **AlbumResponse3** - **type** (string) - **object** (object) - **name** (string) - **creditName** (string) - **slug** (string) - **artists** (array (ArtistLight)) Array items: - **uuid** (string) - **slug** (string) - **name** (string) - **appUrl** (string) - **imageUrl** (string) - **upc** (string) - **releaseDate** (string (date-time)) - **label** (string) - **totalTracks** (integer) - **copyright** (string) - **distributor** (string) - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message #### 400 - Invalid platform code Invalid platform code #### 401 - You are not logged in You are not logged in #### 403 - This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. #### 404 - Album not found Album not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/album/by-platform/{platform}/{identifier}" ``` ``` -------------------------------- ### Schema: Platform Source: https://developers.soundcharts.com/openapi.json Schema definition for Platform ```markdown ## Schema: Platform Schema definition for Platform **Type:** object - **name** (string): Platform name - **code** (string): Platform code ``` -------------------------------- ### GET /api/v2/radio Source: https://developers.soundcharts.com/openapi.json API endpoint for GET /api/v2/radio ```markdown ### Parameters - **offset** (integer, query, optional): Get results starting from position - **limit** (integer, query, optional): Number of results (max. 100) ### Responses #### 200 - A radio collection response **RadioCollectionResponse** - **items** (array (RadioLight)) Array items: - **name** (string): Radio name - **slug** (string): Radio slug. Used as radio identifier - **countryCode** (string): Radio country code, 2 letters ISO 3166-2 - **countryName** (string): Radio country name (example: "FR") - **cityName** (string): Radio city name - **timeZone** (string): Radio timezone (example: "Europe/Paris") - **imageUrl** (string) - **page** (object) - **offset** (integer): The offset of the items returned (as set in the request or by default). Default is 0 - **limit** (integer): The maximum number of items in the response (as set in the request or by default). - **next** (string): URL to the next page of items. (null if none) - **previous** (string): URL to the previous page of items. (null if none) - **total** (integer): The maximum number of items available to return. - **errors** (array (Error)) Array items: - **key** (string): Error key - **code** (integer): Error code - **message** (string): Error message ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/radio?offset=0&limit=100" ``` ``` -------------------------------- ### Schema: Song Light Source: https://developers.soundcharts.com/openapi.json Schema definition for SongLight ```markdown ## Schema: Song Light Schema definition for SongLight **Type:** object - **uuid** (string) - **name** (string) - **creditName** (string) - **imageUrl** (string) ```